
libname scand 'g:\documents\AER_Macro';run;


data scand.bed_cps_outlier;
   set scand.bed_cps_3year;
   if tyear=1 and code=23 then delete;
 
data tyear;
  set scand.bed_cps_outlier;


* runnning sas versions of regressions (std errors not robust);

%macro low(lhs,rhs);

proc glm data=tyear;
    class code tyear;
model &lhs = code &rhs / solution;run;

proc glm data=tyear;
    class code tyear;
model &lhs = code / solution;run;

proc glm data=tyear;
    class code tyear;
model &lhs = code tyear &rhs / solution;run;

proc glm data=tyear;
    class code tyear;
model &lhs = code tyear / solution;run;

%mend;

%low(inflow,jd);
%low(inflow, jd_cont jd_deaths);
%low(inflow, jr);
%low(escape, jd);
%low(escape,jd_cont jd_deaths);
%low(escape, jr);


* data for scatterplot;

proc sort data=tyear;by code tyear;run;

proc standard data=tyear out=scatter_bed mean=0;by code;var inflow jd jd_cont jd_deaths
jr escape excess;run;

proc sort data=scatter_bed;by tyear;run;

proc standard data=scatter_bed out=scatter_bed mean=0;by tyear;var inflow jd jd_cont jd_deaths
jr escape excess;run;

*add back means;

proc summary data=tyear;
  var inflow jd;
output out=total mean=minflow mjd;run;

data total;
  set total;mer=1;

data scatter_bed;
  set scatter_bed;
  mer=1;

data scatter_bed;
  merge scatter_bed total;by mer;
  jd = jd + mjd;
  inflow = inflow + minflow; 


proc print data=scatter_bed;var code tyear inflow jd;run;

proc sort data=tyear;by tyear code;run;

proc glm data=tyear;
  class tyear code;
  model inflow = tyear code / solution;
output out=scatter2 residual = rinflow;
run;

proc glm data=tyear;
   class tyear code;
 model jd = tyear code / solution;
 output out=scatter3 residual = rjd;

data scatter23;
  merge scatter2 scatter3;by tyear code;mer=1;

proc print data=scatter23;var code tyear rinflow rjd;run;

data scatter23;
  merge scatter23 total;by mer;
   rjd = rjd + mjd;
  rinflow = rinflow + minflow; 

  proc print data=scatter23;var code tyear rinflow rjd;run;

proc glm data=scatter23;
  model rinflow = rjd / solution;
run;

* run regressions using scatter to within R-squared;

%macro low(lhs,rhs);

proc glm data=tyear;
  class tyear code;
  model &lhs = tyear code ;
output out=scatter2 residual = &lhs.r;
run;

proc glm data=tyear;
   class tyear code;
 model &rhs = tyear code ;
 output out=scatter3 residual = &rhs.r;

data scatter23;
  merge scatter2 scatter3;by tyear code;mer=1;

proc glm data=scatter23;
  model &lhs.r = &rhs.r / solution;
run;


%mend;

%low(inflow,jd);
%low(inflow, jr);
%low(escape, jd);
%low(escape, jr);

* now try with two RHS variables;

%macro low(lhs,rhs1,rhs2);

proc glm data=tyear;
  class tyear code;
  model &lhs = tyear code;
output out=scatter2 residual = &lhs.r;
run;

proc glm data=tyear;
   class tyear code;
 model &rhs1 = tyear code ;
 output out=scatter3 residual = &rhs1.r;
run;

proc glm data=tyear;
   class tyear code;
 model &rhs2 = tyear code ;
 output out=scatter4 residual = &rhs2.r;

data scatter234;
  merge scatter2 scatter3 scatter4;by tyear code;mer=1;
run;

proc glm data=scatter234;
  model &lhs.r = &rhs1.r &rhs2.r / solution;
run;

%mend;

%low(inflow, jd_cont, jd_deaths);
%low(escape, jd_cont, jd_deaths);



