
libname scand 'g:\documents\AER_Macro';run;

data scand.lbd_cps_final;
  set scand.lbd_cps_final;
  if code=11 then sec_name='MIN';
  if code=1 then sec_name='CON';
  if code=3 then sec_name='DUR';
  if code=4 then sec_name='NDR';
  if code=6 then sec_name='TRU';
  if code=7 then sec_name='TRD';
  if code=2 then sec_name='FIR';
  if code=5 then sec_name='SER';
run;


* create 3 year dataset;

data lbd_cps;
   set scand.lbd_cps_final;
   time=year-1977;
   time3=time/3;
   tyear=1+floor(time3);
   jd_cont=jd-jd_deaths;
   jr = jc+jd;
   vol_emp = 100*vol_emp;
   std_wcsemp = 100*std_wcsemp;
  run; 
  
proc sort;by code;run;

proc summary data=lbd_cps;
id sec_name;
by code;
var jd jd_cont jd_deaths jr vol_emp std_wcsemp inflow escape;
output out=tab2 mean=;run;


* Table 2;

proc print data=tab2;var sec_name jd jd_cont jd_deaths jr vol_emp std_wcsemp inflow escape;


proc summary data=lbd_cps nway;
   class tyear code;
   var inflow jd jd_deaths jd_cont jr vol_emp escape std_wcsemp;
output out=tyear mean=;run;

* here is 3 year dataset;

data scand.lbd_cps_3year;
  set tyear;

* various robustness checks can be run by dropping periods, industries or industry*period observations;

* re-running regressions in deviated form to obtain within r-squared;
* note that main regressions run in STATA;

* data for scatterplot;

proc sort data=tyear;by code tyear;run;

proc standard data=tyear out=scatter_lbd mean=0;by code;var inflow jd jd_cont jd_deaths
jr escape ;run;

proc sort data=scatter_lbd;by tyear;run;

proc standard data=scatter_lbd out=scatter_lbd mean=0;by tyear;var inflow jd jd_cont jd_deaths
jr escape ;run;

*add back means;

proc summary data=tyear;
  var inflow jd;
output out=total mean=minflow mjd;run;

data total;
  set total;mer=1;

data scatter_lbd;
  set scatter_lbd;
  mer=1;

data scatter_lbd;
  merge scatter_lbd total;by mer;
  jd = jd + mjd;
  inflow = inflow + minflow; 


proc print data=scatter_lbd;var code tyear inflow jd;run;

proc sort data=tyear;by tyear code;run;

proc glm data=tyear;
  class tyear code;
  model inflow = tyear code / solution;
output out=scatter2 residual = rinflow;
run;

proc glm data=tyear;
   class tyear code;
 model jd = tyear code / solution;
 output out=scatter3 residual = rjd;

data scatter23;
  merge scatter2 scatter3;by tyear code;mer=1;

proc print data=scatter23;var code tyear rinflow rjd;run;

data scatter23;
  merge scatter23 total;by mer;
   rjd = rjd + mjd;
  rinflow = rinflow + minflow; 

  proc print data=scatter23;var code tyear rinflow rjd;run;

proc glm data=scatter23;
  model rinflow = rjd / solution;
run;


* run regressions using scatter to within R-squared;
* first just sector effects;

proc sort data=tyear;by tyear code;run;


%macro low(lhs,rhs);

proc glm data=tyear;
  class tyear code;
  model &lhs = tyear code ;
output out=scatter2 residual = &lhs.r;
run;

proc glm data=tyear;
   class tyear code;
 model &rhs = tyear code ;
 output out=scatter3 residual = &rhs.r;

data scatter23;
  merge scatter2 scatter3;by tyear code;mer=1;

proc glm data=scatter23;
  model &lhs.r = &rhs.r / solution;
run;


%mend;

* inflow cases for Table 3b, escape cases for Table 4b;

%low(inflow,jd);
%low(inflow, jr);
%low(escape, jd);
%low(escape, jr);
%low(inflow, vol_emp);
%low(inflow,std_wcsemp);
%low(escape, vol_emp);
%low(escape,std_wcsemp);


* now with two RHS variables;

%macro low(lhs,rhs1,rhs2);

proc glm data=tyear;
  class tyear code;
  model &lhs = tyear code;
output out=scatter2 residual = &lhs.r;
run;

proc glm data=tyear;
   class tyear code;
 model &rhs1 = tyear code ;
 output out=scatter3 residual = &rhs1.r;
run;

proc glm data=tyear;
   class tyear code;
 model &rhs2 = tyear code ;
 output out=scatter4 residual = &rhs2.r;

data scatter234;
  merge scatter2 scatter3 scatter4;by tyear code;mer=1;
run;

proc glm data=scatter234;
  model &lhs.r = &rhs1.r &rhs2.r / solution;
run;

%mend;

%low(inflow, jd_cont, jd_deaths);
%low(escape, jd_cont, jd_deaths);

run;
