version 8
log using "g:\Documents\AER_MACRO\bed_cps_3year_stata_robust.log", replace

set memory 100m
set matsize 800
set more off

use bed_cps_3year.dta, clear

* Table 3a uses results below w/period effects
* Robustness check without period effects discussed in text

label variable inflow "inflow on jd"
xi: reg inflow i.code jd, robust 

label variable inflow "inflow on jd w/ period effects"
xi: reg inflow i.tyear i.code jd, robust 

label variable inflow "inflow on jd_cont and jd_deaths"
xi: reg inflow i.code jd_cont jd_deaths, robust 

label variable inflow "inflow on jd_cont and jd_deaths w/ period effects"
xi: reg inflow i.tyear i.code jd_cont jd_deaths, robust 

label variable inflow "inflow on jr"
xi: reg inflow i.code jr, robust 

label variable inflow "inflow on jr w/ period effects"
xi: reg inflow i.tyear i.code jr, robust 

* Table 4a uses results below w/period effects
* Robustness check without period effects discussed in text


label variable escape "escape on jd"
xi: reg escape i.code jd, robust 

label variable escape "escape on jd w/ period effects"
xi: reg escape i.tyear i.code jd, robust 

label variable escape "escape on jd_cont and jd_deaths"
xi: reg escape i.code jd_cont jd_deaths, robust 

label variable escape "escape on jd_cont and jd_deaths w/ period effects"
xi: reg escape i.tyear i.code jd_cont jd_deaths, robust 

label variable escape "escape on jr"
xi: reg escape i.code jr, robust 

label variable escape "escape on jr w/ period effects"
xi: reg escape i.tyear i.code jr, robust 


log close

