version 8
cap log close
clear
cd "g:\documents\AER_Macro\"

log using lbd_cps_3year_stata_09_robust.log, replace


set memory 100m
set matsize 800
set more off

use lbd_cps_3year.dta, clear

* Table 3b uses results below w/period effects
* Robustness check without period effects discussed in text

* Note: code=broad sector code and tyear = 3-year average
* Note: vol_emp = within establishment volatility, std_wcsemp = dispersion measure of volatility 

label variable inflow "inflow on jd"
xi: reg inflow i.code jd, robust

label variable inflow "inflow on jd w/ period effects"
xi: reg inflow i.tyear i.code jd, robust

label variable inflow "inflow on jd_cont and jd_deaths"
xi: reg inflow i.code jd_cont jd_deaths, robust

label variable inflow "inflow on jd_cont and jd_deaths w/ period effects"
xi: reg inflow i.tyear i.code jd_cont jd_deaths, robust

label variable inflow "inflow on jr"
xi: reg inflow i.code jr, robust

label variable inflow "inflow on jr w/ period effects"
xi: reg inflow i.tyear i.code jr, robust

label variable inflow "inflow on vol_emp"
xi: reg inflow i.code vol_emp, robust

label variable inflow "inflow on vol_emp w/ period effects"
xi: reg inflow i.tyear i.code vol_emp, robust

label variable inflow "inflow on std_wcsemp"
xi: reg inflow i.code std_wcsemp, robust

label variable inflow "inflow on std_wcsemp w/ period effects"
xi: reg inflow i.tyear i.code std_wcsemp, robust


* Table 4b uses results w/period effects
* Unreported results discussed in text use results without period effects

label variable escape "escape on jd"
xi: reg escape i.code jd, robust

label variable escape "escape on jd w/ period effects"
xi: reg escape i.tyear i.code jd, robust

label variable escape "escape on jd_cont and jd_deaths"
xi: reg escape i.code jd_cont jd_deaths, robust

label variable escape "escape on jd_cont and jd_deaths w/ period effects"
xi: reg escape i.tyear i.code jd_cont jd_deaths, robust

label variable escape "escape on jr"
xi: reg escape i.code jr, robust

label variable escape "escape on jr w/ period effects"
xi: reg escape i.tyear i.code jr, robust

label variable escape "escape on vol_emp"
xi: reg escape i.code vol_emp, robust

label variable escape "escape on vol_emp w/ period effects"
xi: reg escape i.tyear i.code vol_emp, robust

label variable escape "escape on std_wcsemp"
xi: reg escape i.code std_wcsemp, robust

label variable escape "escape on std_wcsemp w/ period effects"
xi: reg escape i.tyear i.code std_wcsemp, robust


log close

